package com.logicbig.example;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.Import;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
@Import(MyTestConfig.class)
public class MyHelloProcessorTest {
    @Autowired
    private MyHelloProcessor myHelloProcessor;

    @Test
    public void testSayHi() {
        String message = myHelloProcessor.sayHi("Joe");
        System.out.println(message);
        Assert.assertEquals(message, "Test hello: Joe");
    }
}